Get a list of earning reports.
curl --request GET \
--url 'https://api.capyfin.com/v1/earnings-reports/{exchange}/{symbol}?apikey='import requests
url = "https://api.capyfin.com/v1/earnings-reports/{exchange}/{symbol}?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.capyfin.com/v1/earnings-reports/{exchange}/{symbol}?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 100,
"sub": true,
"items": [
{
"id": "507f1f77bcf86cd799439011",
"fiscalPeriod": "Q12024",
"date": "2024-05-02T00:00:00.000Z",
"reportTime": "amc",
"currency": "USD",
"totalRevenue": 94836000000,
"eps": 1.53,
"epsAdj": 1.53,
"verified": true,
"employees": 1000
}
]
}Earnings Reports API
Get a list of earning reports.
Returns a paginated list of earning reports for a specific instrument.
GET
/
v1
/
earnings-reports
/
{exchange}
/
{symbol}
Get a list of earning reports.
Authorizations
ApiKeyQueryApiKeyHeader
Pass your API key as a query parameter (e.g., /endpoint?apikey=YOUR_API_KEY)
Path Parameters
The exchange of the instrument (e.g., nasdaq, nyse).
The symbol of the instrument (e.g., aapl, tsla).
Query Parameters
Page number for pagination (default: 1).
Example:
1
